Index: branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/bio.param
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/bio.param	(revision 63)
+++ branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/bio.param	(revision 63)
@@ -0,0 +1,160 @@
+#
+# bio.param
+#
+# Parameter file for sea ice biogeochemistry ISPOL, source v3.20
+#
+# (c) Martin, Dec 2015, Paris
+#
+#=================================================================================
+#
+#---------------------------------------------------------------------------------
+# Type of model and fluxes
+#---------------------------------------------------------------------------------
+#
+# c_grid      : type of grid: multilayer 'ML', deformed three layer 'DL', skeletal 'SL', or biologically-active 'BA'
+ML
+# h_skel      : prescribed biologically active layers thickness (SL & DL)
+0.10
+# e_thr_bal   : prescribed permeability threshold for BAL
+0.05
+#
+#---------------------------------------------------------------------------------
+# Process switches
+#---------------------------------------------------------------------------------
+#
+# ln_trbo     : bottom entrapment for tracers or not
+.TRUE.
+# ln_trsi     : snow-ice entrapment for tracers or not
+.TRUE.
+# ln_trdiff   : diffusion of tracers or not
+.TRUE.
+# ln_trremp   : remapping of tracers or not
+.TRUE.
+# ln_lim_dsi  : limitation of growth by DSi or not
+.TRUE.
+# ln_lim_no3  : limitation of growth by NO3
+.TRUE.
+# ln_lim_po4  : limitation of growth by PO3
+.TRUE.
+# ln_lim_lig  : light limitation or not
+.TRUE.
+# ln_lim_tem  : temperature inhibition or not
+.TRUE.
+# ln_lim_sal  : brine salinity inhibition or not
+.TRUE.
+# ln_lys      : lysis or not
+.TRUE. 
+# ln_rem      : remineralization or not
+.TRUE. 
+# ln_syn      : diatom synthesis or not
+.TRUE. 
+# ln_bubform  : gas buble formation
+.TRUE. 
+# ln_bubrise  : gas buble ascent
+.TRUE. 
+# ln_gasflux  : gas flux to ATM
+.TRUE. 
+# ln_carbon   : activate carbon cycle
+.TRUE.
+# ln_ikaite   : activate CaCO3 precipitation
+.TRUE.
+#
+#---------------------------------------------------------------------------------
+# Gas exchange / carbonate system / ikaite 
+#---------------------------------------------------------------------------------
+#
+# i_gas_flux      : Type of gas flux (1=Noflux, 2=ice-atm diffusive flux)
+2
+# brines_ar       : Brines aspect ratio (vertical ellipsoid: <1; spheres: 1)
+1.00
+# bub_form_rate   : Gas Bubble formation rate (s-1) 2.5e-7
+2.5e-7 
+# bub_diss_rate   : Gas Bubble dissolution rate (s-1)  2.5e-3
+2.5e-3 
+# h_bl_gas        : Boundary layer thickness for diffusive gas flux (Moreau et al. 2005)
+0.5e-6
+# e_thr_gasflux   : Brine volume fraction threshold for gas fluxes
+0.05
+# e_thr_bubrise   : Brine volume fraction thershold for bubble rise
+0.10
+# sursat_gas      : Sursaturation tolerated in brines (1 = 100%)
+1.00
+ # nn_carbonate   : 1=Roy; 2=Mehrbach equilibration CO2 constants; Mehrbach (2) is default
+2
+ # caco3_time     : CaCO3 precipitation/dissolution time scale rate (360000s=100h by default)
+360000.
+#
+#---------------------------------------------------------------------------------
+# Physiological parameters
+#---------------------------------------------------------------------------------
+#
+# nn_bio_opt  : type of biological model (0=NP; 1=NPD Redfield; 2=NPD + Si; 3=NPD non-RedF; 4=NPD n.r + iron, 5=carbon cycle & gases)
+5
+#--- Bio-optical parameters
+#
+# astar_alg   : specific attenuation coefficient ( m-1 / ( mg chla m-3 ) ) - 0.01 Tedesco
+0.005
+# fdet_alg    : fraction of detrital radiation absorption versus algal absorption - 0.2 (Arrigo et al 1993)
+0.2
+#
+#--- Growth, loss, remineralization
+#
+# pp_presc    : prescribed GPP (ln_syn = false, mmol C m-3 s-1 ) DEFLT 1.0e-5
+0.0e-5       
+# mumax_bio   : maximum specific growth rate (s-1) ( Sarthou 5e-6 -> 3.8e-5 )
+1.00e-5
+# klys_bio    : loss rate (s-1) ( Sarthou  5.8e-8 -> 2.75e-6 )
+1.00e-6
+# krsp_bio    : respiration rate (s-1) 
+1.0e-6
+# krem_bio    : remineralization rate for carbon (2.0e-7 Moreau et al Elementa Oxy 2015)
+5.0e-6
+# frem_bio    : Fraction of nutrient loss that is remineralized in case of an N-P formulation
+1.00
+#
+#--- Photosynthesis / light limitation
+#
+# nn_phs      : type of photosynthesis parameterization (1-4)
+3
+# ek_bio      : Light adaptation parameter (nn_phs = 1, muE m-2 s-1) - DEFLT 2
+2
+# alpha_bio   : Photosynthetic efficiency (nn_phs > 1, gC/gchla/s/(muE/m2/s)) DEFLT 1.8e-4 - Fragiliariopsis 5.56e-5 (Mar FM)
+2.50e-5
+# chla_c      : Chl/C in ice algae (g/g) - DEFLT 0.05 - Loern 95 0.003 - 0.05 (applies only for nn_phs = 1-3)
+0.05
+# Estar       : PAR value at which Chl/C=min (nn_phs = 4) 360.
+40. 
+# nn_lys      : type of lysis [ 1: klys_bio prescribed; 2: klys_bio*exp(rg_bio*T) ]
+2
+# nn_rem      : type of remineralization [1: krem_bio prescribed; 2: krem_bio*exp(rg_bac*T) ]
+2
+#
+#--- Redfield ratios
+#
+# si_c        : silicon to carbon molar ratio in diatoms (mol/mol) - 0.11 Sarthou 2005
+0.11
+# no3_c       : nitrogen to carbon molar ratio in diatoms (mol/mol) - 0.14 Sarthou 2005; Redf - 0.151
+0.14
+# po4_c       : phosphorus to carbon molar ratio in diatoms (mol/mol) - 0.014 Sarthou 2005; 0.0094
+0.014
+# oxy_c       : oxygen release to carbon uptake ratio during photosynthesis (mol/mol) - Redf = 138/106 = 1.30 / Sarmiento Gruber 2006 150/106 = 1.41, Anderson et al
+1.30 
+#
+#--- Nutrient limitation, temperature and salinity inhibition
+#
+# khs_si_bio  : halfsat cst for Si uptake (micrmol m-3) - 3.9 Sarthou et al
+3.9
+# khs_n_bio   : halfsat cst for N uptake (micrmol m-3)  - 1.6 Sarthou et al
+1.6
+# khs_p_bio   : halfsat cst for P uptake (micrmol m-3)  - 0.24 Sarthou et al.
+0.24
+# rg_bio      : Temperature coefficient for algal physiological processes (0.0633 degC-1; Eppley, 1972)
+0.0633
+# rg_bac      : Temperature coefficient for bacterial respiration (0.41 degC-1; Moreau et al, Elementa 2015)
+0.41
+# nn_lim_sal  : Salinity lim. 1=Power-log gaussian, Arrigo 93 data; 2=Gaussian
+1
+# lim_sal_wid : Width of the limitation function (nn_lim_sal=2)
+20.0
+# lim_sal_smax: Salinity where limitation function equals 1 (nn_lim_sal=2)
+34.0
Index: branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/forcing.param.1d
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/forcing.param.1d	(revision 63)
+++ branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/forcing.param.1d	(revision 63)
@@ -0,0 +1,43 @@
+#--------------------------------------------------------------------------------------------------
+# Parameter file for forcing
+# LIM1D, version source_3.04 - ISPOL forcing
+#--------------------------------------------------------------------------------------------------
+# ts_forc	time step of the forcing
+86400
+# n0_forc	number of the first time step in forcing file wrt XXXX ????
+320
+# n1_forc	number of the forcing.nc last time step relative to XXXX ????
+336
+#--------------------------------------------------------------------------------------------------
+# forc_swi 	0=read in nc, 1-N=computed, 99=prescribed
+# forc_uni 	multiplication factor compared to SI units
+# forc_val      constant value in case of prescribed value (forc_swi = 99)
+#--------------------------------------------------------------------------------------------------
+# forc_swi	forc_uni 	forc_val
+# shortwave radiation (W/m2) ; 1=Shine; 2=Zillmann
+1	1.0	0.0
+# longwave radiation (W/m2); 1=Efimova; 2=Berliand
+1	1.0	0.0
+# incident PAR (muE/m2/s); 1=Computed from shortwave
+1	1.0	0.0
+# air temperature (K)
+0	1.0	0.0
+# atmospheric pressure (Pa)
+0	1.0	0.0
+# specific humidity (kg/kg) ! there is a bias at ISPOL
+0	1.0	0.0
+# wind speed (m/s)
+0	1.0	0.0
+# cloudiness (0-1)
+1	1.0	1.0
+# oceanic heat flux (W/m2) ; 5. is the ref
+99	1.0	4.
+# snowfall (dimensions=length/timestep) 0.012 - 1h
+99	1.0	0.0097
+# albedo (0-1); 1=Shine & Henderson-Sellers, 2=parameterized using obs from ISPOL
+1	1.0	0.00
+#--------------------------------------------------------------------------------------------------
+# Some parameters
+#--------------------------------------------------------------------------------------------------
+# opt_dept : optical depth (m) in Efimova 1961 parameterization; SIMBA - 16.297; ISPOL - ; BARROW - WHY 30. ?
+12.0
Index: branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/forcing.param.1h
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/forcing.param.1h	(revision 63)
+++ branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/forcing.param.1h	(revision 63)
@@ -0,0 +1,43 @@
+#--------------------------------------------------------------------------------------------------
+# Parameter file for forcing
+# LIM1D, version source_3.04 - ISPOL forcing
+#--------------------------------------------------------------------------------------------------
+# ts_forc	time step of the forcing
+3600.
+# n0_forc	number of the first time step in forcing file wrt XXXX ????
+1
+# n1_forc	number of the forcing.nc last time step relative to XXXX ????
+8760
+#--------------------------------------------------------------------------------------------------
+# forc_swi 	0=read in nc, 1-N=computed, 99=prescribed
+# forc_uni 	multiplication factor compared to SI units
+# forc_val      constant value in case of prescribed value (forc_swi = 99)
+#--------------------------------------------------------------------------------------------------
+# forc_swi	forc_uni 	forc_val
+# shortwave radiation (W/m2) ; 1=Shine; 2=Zillmann
+0	1.0	0.0
+# longwave radiation (W/m2); 1=Efimova; 2=Berliand
+0	1.0	0.0
+# incident PAR (muE/m2/s); 1=Computed from shortwave
+1	1.0	0.0
+# air temperature (K)
+0	1.0	0.0
+# atmospheric pressure (Pa)
+0	1.0	100000.0
+# specific humidity (kg/kg) ! there is a bias at ISPOL
+0	1.0	0.0
+# wind speed (m/s)
+0	1.0	0.0
+# cloudiness (0-1)
+99	1.0	0.0
+# oceanic heat flux (W/m2) ; 5. is the ref
+99	1.0	40.
+# snowfall (dimensions=length/timestep) 0.012 - 1h
+99	1.0	0.000
+# albedo (0-1); 1=Shine & Henderson-Sellers, 2=parameterized using obs from ISPOL
+0	1.0	0.70
+#--------------------------------------------------------------------------------------------------
+# Some parameters
+#--------------------------------------------------------------------------------------------------
+# opt_dept : optical depth (m) in Efimova 1961 parameterization; SIMBA - 16.297; ISPOL - ; BARROW - WHY 30. ?
+12.0
Index: branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/icephys.param
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/icephys.param	(revision 63)
+++ branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/icephys.param	(revision 63)
@@ -0,0 +1,108 @@
+#
+# icephys.param - ISPOL
+#
+# Parameter file for sea ice physics, source v2.42
+#
+# (c) Martin Vancoppenolle, Oct 2011, Louvain-la-Neuve, Belgium
+#
+#==================================================================================================
+#
+#--------------------------------------------------------------------------------------------------
+# General parameters
+#--------------------------------------------------------------------------------------------------
+#
+# nlay_i        ! number of layers in the ice
+10
+# nlay_s        ! number of layers in the snow
+1
+# parsub	! switch for snow sublimation or not ! should not be used anymore
+0.0
+# ln_evap       ! switch for snow summer evaporation or not
+.TRUE.
+# tbq_ano       ! prescribed air temperature anomaly (K)
+0.0
+#
+#--------------------------------------------------------------------------------------------------
+# Ice desalination
+#--------------------------------------------------------------------------------------------------
+#
+# ln_grd        ! gravity drainage or not
+.TRUE.
+# ln_flu        ! flushing or not
+.TRUE.
+# ln_flo        ! flooding or not
+.TRUE.
+# flu_beta      ! fraction of meltwater percolating in summer
+0.3
+# e_thr_flu     ! permeability threshold for flushing
+0.05
+# frtr_si_phy   ! fraction of salt trapped in snow-ice
+1.0
+# d_br_mol      ! molecular diffusivity of brine (def:1.0e-9, obs: 6.8e-10)
+6.8e-10
+# d_br_tur      ! turbulent diffusivity of brine (def: 1.0e-6) 3.0e-7 1.0e-7
+5.0e-7
+# ra_c          ! critical rayleigh number for brine convection (7 for diffusion; 1.01 for advection)
+7.
+# ra_smooth     ! hyperbolic tangent coefficient for turbulent diffusivity (def:1)
+0.6
+# c_gravdr      ! gravity drainage: 'CW' = Cox Weeks 1988; 'RA' for eddy diffusive (Vetal10) or 'AD' for Advection-based (new)
+RA
+# c_sbr         ! computation of brine salinity for salt transport: linear ('LIN'), Weast 71 (WEA), Notz 05 (NTZ)
+LIN
+# c_perm        ! permeability of Freitag ('FRE') or Rees Jones and Worster ('RJW')
+FRE
+# c_permeff     ! form of effective permeability : minimum ('MIN') or harmonic mean ('HAR')
+MIN
+# alpha_GN      ! gravity drainage strength parameter (Griewank and Notz 2013 parameterization, kg.m-3.s-1)
+1.56e-3
+# delta_cw      ! CW88 grav. drainage eff.(1.68e-7 for CW88 or 0.588e-7 for V08 value)
+1.68e-7
+# rn_e_newice   ! Liquid fraction in new ice (max fraction due to flottability of ice)
+0.75
+# nn_thcond     ! Type of thermal conductivity (1- Pringle et al 2007; 2- Mushy layer)
+2
+#
+#--------------------------------------------------------------------------------------------------
+# Radiative transfer (SSL = surface scattering layer)
+#--------------------------------------------------------------------------------------------------
+#
+# emig          ! Surface emissivity (past 0.995)
+0.995
+# fpar_fsw      ! Visible energetic ratio (Fpar/Fsw, J/J) = 0.475 (Frouin Pinker 95)
+0.475
+# qpar_fsw      ! Quantum energetic ratio (Qpar/Fsw, µE/J) = 2.33 (Vancoppenollet al 2011)
+2.33
+# c_rad_scheme  ! use surface transmission parameter ('INOT'), use SSL extinction coefficients ('EXTC')
+INOT
+# c_rad_discr   ! discretization of radiation based on absorption ('ABS') or on transmission ('TRA')
+TRA
+# rad_inot_s_dry ! surface transmission parameter, dry snow, visible range (INOT ONLY) ! 0.22
+0.22
+# rad_inot_s_wet ! surface transmission parameter, wet snow, visible range (INOT ONLY) ! 0.22
+0.22
+# rad_inot_i_dry ! surface transmission parameter, dry ice, visible range (INOT only). 
+0.58
+# rad_inot_i_wet ! surface transmission parameter, wet ice, visible range (INOT only). 
+0.96
+# h_not_s       ! SSL thickness, snow (Perovich 07 0.03 m)
+0.03
+# h_not_i       ! SSL thicknes, sea ice (Grenfell Maykut 0.1 m)
+0.10
+# rad_kappa_s_su_d ! surface extinction coefficient, dry snow (Jarvinen 73 m-1, Pogson 63.2373)  (EXTC only)
+63.2373
+# rad_kappa_s_su_m ! surface extinction coefficient, melting snow (Jarvinen 51 m-1)              (EXTC only)
+63.2373
+# rad_kappa_i_su_d ! surface extinction coefficient, cold ice (io = 0.30 for 10 cm -> 12.03 m-1) (EXTC only)
+12.03
+# rad_kappa_i_su_m ! surface extinction coefficient, melting ice                                 (EXTC only)
+12.03
+# rad_kappa_s_de_d ! depth extinction coefficient in dry snow (Jarvinen 24 m-1, Pogson 14, Nicolaus-analysis 7.33)
+7.33
+# rad_kappa_s_de_m ! depth extinction coefficient in melting snow (Jarvinen 7.8 m-1, Pogson 7.5, Perovich 24.28)
+7.33 
+# rad_kappa_i_de_d ! attenuation coefficient in cold ice (Light et al., 2008 0.8 for visible radiation, Pogson 1.2, Nicolaus analysis, 0.4)
+0.6
+# rad_kappa_i_de_m ! attenuation coefficient in melting ice (Light et al., 2008 0.8 for visible radiation Pogson 0.8)
+0.6
+#
Index: branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/run.param.1d
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/run.param.1d	(revision 63)
+++ branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/run.param.1d	(revision 63)
@@ -0,0 +1,22 @@
+#------------------------------------------------------------------------------
+#   run.param (ISPOL version)
+#------------------------------------------------------------------------------
+# contains information on the run itself
+#
+# exp_id	! name of the experiment
+DAVIS 
+# ddtb		! time step of the model (86400., 3600.)
+86400.
+# nstart    ! first time step (263,6313 for hourly)
+320
+# nend      ! last time step  (408 for standard, 8136 for hourly) 
+336
+# nyear     ! initial year
+2015
+# nfr_out	! output frequency
+1
+# latitude	! latitude
+-68.58
+# biological model ! 'NOBIO', 'KRILL', 'BFMSI'
+KRILL
+#------------------------------------------------------------------------------
Index: branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/run.param.1h
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/run.param.1h	(revision 63)
+++ branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/run.param.1h	(revision 63)
@@ -0,0 +1,22 @@
+#------------------------------------------------------------------------------
+#   run.param (ISPOL version)
+#------------------------------------------------------------------------------
+# contains information on the run itself
+#
+# exp_id	! name of the experiment
+N_ICE_RL 
+# ddtb		! time step of the model (86400., 3600.)
+3600.
+# nstart    ! first time step (for hourly)
+2713
+# nend      ! last time step  (for hourly) 
+3745
+# nyear     ! initial year
+2015
+# nfr_out	! output frequency
+1
+# latitude	! latitude
+82.
+# biological model ! 'NOBIO', 'KRILL', 'BFMSI'
+KRILL
+#------------------------------------------------------------------------------
Index: branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/tracer.param
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/tracer.param	(revision 63)
+++ branches/2016/dev_v3.20_2016_platelet/INPUT/N_ICE_RL/source_3.20/tracer.param	(revision 63)
@@ -0,0 +1,34 @@
+#
+# tracer.param
+#
+# Parameter file for sea ice biogeochemistry YROSIAE, source v3.20 !!! prescribed concentrations are completely unchecked
+#
+# (c) Martin, Dec 2015, Paris
+#
+#=================================================================================
+#
+#---------------------------------------------------------------------------------
+# Initial and boundary values (not checked at ISPOL for carbonate system and gases)
+#---------------------------------------------------------------------------------
+#
+#  trc_nam    : tracer name in the code
+#  c_nc_name  : tracer name in the netcdf initialization file (if any)
+#  nn_init    : switch for initialization (0=from code, 1=read cst, 2=cc retrieved from stock=read cc.h_i, 3=profile read in netcdf file)
+#  c_i_ini    : initial ice concentration
+#  c_w_ini    : seawater concentration
+#  mixr_gas   : atmospheric mixing ratio
+#  dmol_gas   : molecular diffusivity (gas tracers only, from Broecker and Peng 74)
+#trc_nam | c_nc_name | nn_init | c_i_ini | c_w_ini | mixr_gas | dmol_gas |
+   'dSi'   'dsi'   3   19.90  51.25    0.       0.
+   'dIN'   'nox'   3   10.44  26.90    0.       0.
+   'dIP'   'po4'   3    0.91   2.35    0.       0.
+   'AoC'   'AoC'   1    0.01   0.05    0.       0.
+   'eoC'   'eoC'   1      0.    0.5    0.       0.
+   'DIC'   'DIC'   1    800.   2000.   0.       0.
+   'Alk'   'Alk'   1    880.   2200.   0.       0.
+   'CO2'   'CO2'   1      0.     10.   3.8e-4   0.94e-9 # the initial ice cc has no impact since recalculated from DIC and TA in ice_bio_diff
+   'Ika'   'Ika'   1      0.      0.   0.       0.
+   'Cal'   'Cal'   1  1845.6  10600.   0.       0.
+   'Arg'   'Arg'   1     7.2     18.   0.00934  0.88e-9
+   'Oxy'   'Oxy'   1    71.4    357.   0.2095   1.17e-9 # not checked 
+   'Nit'   'Nit'   1     127.   635.   0.7808   0.95e-9 # not checked
